Bug 190027 - graphics/mplayer & graphics/mplayer2 install conflict
Summary: graphics/mplayer & graphics/mplayer2 install conflict
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-20 19:20 UTC by Ronald F. Guilmette
Modified: 2014-06-07 13:34 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald F. Guilmette 2014-05-20 19:20:00 UTC
It appears that both the multimedia/mplayer port and the multimedia/mplayer2
ports will both attempt to install a file called "/usr/local/bin/mplayer".

Because of this, if a user has one or the other of these ports installed,
and then also attempts to install the other port, the second install will
wipe out and overwrite the version of /usr/local/bin/mplayer that is part
of the first installed port, and I believe that it does so WITHOUT first
properly deregistering and de-installing that first installed port.

The result will be a mess in which both ports _appear_ to currently be
propely installed, but in fact only one of them is, and the other port
is effectively corrupted.

Fix: 

Obviously, the main executable that is installed when the mplayer2 port
is installed should be named "mplayer2", or ay any rate it should be
named *something* that will not conflict with any installed files belonging
to the mplayer (1) port.

I have not looked to see how this may be accomplished within the relevant
Makefiles, but I doubt that it would be difficult to do.
How-To-Repeat: 
cd /usr/ports/multimedia/mplayer2
make install
ls -l /usr/local/bin/mplayer
cd /usr/ports/multimedia/mplayer
make install
ls -l /usr/local/bin/mplayer
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-05-29 05:16:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->riggs

assign to maintainer of mplayer; notify maintainer of mplayer2.
Comment 2 Thomas Zander freebsd_committer 2014-05-29 19:12:37 UTC
On 29 May 2014 06:17,  <linimon@freebsd.org> wrote:
> New Synopsis: graphics/mplayer & graphics/mplayer2 install conflict
> http://www.freebsd.org/cgi/query-pr.cgi?pr=190027

I see two simple, practical solutions:
1) Have mplayer and mplayer2 add CONFLICTS
2) Install the mplayer2 binary as "mplayer2", not mplayer. It's a fork
of the original mplayer, after all.

I would prefer 2), so they both can be installed on the same machine.
Grzegorz, your opinion?

Best regards,
Riggs
Comment 3 commit-hook freebsd_committer 2014-06-07 13:24:51 UTC
A commit references this bug:

Author: riggs
Date: Sat Jun  7 13:24:17 UTC 2014
New revision: 356900
URL: http://svnweb.freebsd.org/changeset/ports/356900

Log:
  - Add CONFLICTS to mplayer to prevent install conflict with mplayer2 [1]
  - Fix crash when trying to play certain videos with no audio in gmplayer [2]
  - Improve non-options variable summary during build in pre-everything [2]
  - Bump PORTREVISION in mplayer (the binary changes)

  PR:		190027
  Submitted by:	rfg@tristatelogic.com [1], andre@albsmeier.net[2]
  Approved by:	mentors (implicit)

Changes:
  head/multimedia/mencoder/Makefile
  head/multimedia/mplayer/Makefile
  head/multimedia/mplayer/files/patch-mplayer.c